
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>让Asp.NET的DataGrid可排序、可选择、可分页 / iVAN</title>

    <meta name="description" content="让Asp.NET的DataGrid可排序、可选择、可分页 asp.net|datagrid|分页|排序 DataGrid是Asp.NET中的一个重要的控件,经常我们都将DataGrid做成可分页的和可排序的,有时还需要加上选择功能.这些都是经常需要用到的方法,其实是比较简单的. 设计思路:为了方便起见,我们连接SQL Server 2000的NorthWind数据库的Orders表,从数据库里得到此表的数据视图.利用DataGrid的SortCommand事件实现排序.用一个模板列加上CheckBox控件实现选择.可用DataGrid的属性生成器的&q ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">让Asp.NET的DataGrid可排序、可选择、可分页</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>asp.net|datagrid|分页|排序</p>
<p>DataGrid是Asp.NET中的一个重要的控件，经常我们都将DataGrid做成可分页的和可排序的，有时还需要加上选择功能。这些都是经常需要用到的方法，其实是比较简单的。</p>
<p>设计思路：<br />为了方便起见，我们连接SQL Server 2000的NorthWind数据库的Orders表，从数据库里得到此表的数据视图。利用DataGrid的SortCommand事件实现排序。用一个模板列加上CheckBox控件实现选择。可用DataGrid的属性生成器的“分页”选项或者自己修改HTML实现分页。</p>
<p>HTML：<br />添加一个DataGrid，命名为dgOrder。<br />添加了一个模板列，模板列里放一个名为Cb的CheckBox控件。此列用来实现选择<br />为要排序的每个列加上排序表达式SortExpression。<br />利用列的DataFormatString来格式化列，象DataFormatString="{0:d}"显示日期格式。<br />设置PageSize="15"每页显示15行数据，AllowPaging="True" 为允许分页 。</p>
<p>整个HTML页代码：<br />&lt;form id="Form1" method="post" runat="server"&gt;</p>
<p>&lt;asp:datagrid id="dgOrder" runat="server" Height="515px" Width="718px" AutoGenerateColumns="False" AllowSorting="True" CellPadding="4" BorderWidth="1px" BorderColor="#A0ABEB" PageSize="15" BorderStyle="Solid" BackColor="White" GridLines="Vertical" ForeColor="Black" AllowPaging="True" ShowFooter="True"&gt;</p>
<p>&lt;SelectedItemStyle ForeColor="White" BackColor="Black"&gt;&lt;/SelectedItemStyle&gt;</p>
<p>&lt;AlternatingItemStyle BackColor="#EEEEEE"&gt;&lt;/AlternatingItemStyle&gt;</p>
<p>&lt;HeaderStyle HorizontalAlign="Center" ForeColor="White" BorderColor="#6876C5" BackColor="#6876C5"&gt;&lt;/HeaderStyle&gt;</p>
<p>&lt;FooterStyle ForeColor="White" BackColor="#6876C5"&gt;&lt;/FooterStyle&gt;</p>
<p>&lt;Columns&gt;</p>
<p>&lt;asp:TemplateColumn&gt;</p>
<p>&lt;ItemTemplate&gt;</p>
<p>&lt;FONT face=""&gt;</p>
<p>&lt;asp:CheckBox id="Cb" runat="server"&gt;&lt;/asp:CheckBox&gt;&lt;/FONT&gt;</p>
<p>&lt;/ItemTemplate&gt;</p>
<p>&lt;/asp:TemplateColumn&gt;</p>
<p>&lt;asp:BoundColumn DataField="orderid" SortExpression="orderid" HeaderText="ID"&gt;</p>
<p>&lt;HeaderStyle Width="180px"&gt;&lt;/HeaderStyle&gt;</p>
<p>&lt;/asp:BoundColumn&gt;</p>
<p>&lt;asp:BoundColumn DataField="ShipCountry" SortExpression="ShipCountry" HeaderText="ShipCountry"&gt;</p>
<p>&lt;HeaderStyle Width="180px"&gt;&lt;/HeaderStyle&gt;</p>
<p>&lt;/asp:BoundColumn&gt;</p>
<p>&lt;asp:BoundColumn DataField="ShippedDate" SortExpression="ShippedDate" HeaderText="ShippedDate" DataFormatString="{0:d}"&gt;</p>
<p>&lt;HeaderStyle Width="180px"&gt;&lt;/HeaderStyle&gt;</p>
<p>&lt;/asp:BoundColumn&gt;</p>
<p>&lt;asp:BoundColumn DataField="Freight" SortExpression="Freight" HeaderText="Freight"&gt;</p>
<p>&lt;HeaderStyle Width="180px"&gt;&lt;/HeaderStyle&gt;</p>
<p>&lt;/asp:BoundColumn&gt;</p>
<p>&lt;asp:BoundColumn DataField="ShipAddress" SortExpression="ShipAddress" HeaderText="ShipAddress"&gt;</p>
<p>&lt;HeaderStyle Width="480px"&gt;&lt;/HeaderStyle&gt;</p>
<p>&lt;/asp:BoundColumn&gt;</p>
<p>&lt;/Columns&gt;</p>
<p>&lt;PagerStyle HorizontalAlign="Center" ForeColor="Black" Position="TopAndBottom" BackColor="White" Mode="NumericPages"&gt;&lt;/PagerStyle&gt;</p>
<p>&lt;/asp:datagrid&gt;</p>
<p>&lt;/form&gt;</p>
<p>后台代码：<br />'得到数据视图，参数为要排序的列<br />Private Function GetDv(ByVal strSort As String) As DataView<br />        '定义数据库连接<br />        Dim dv As DataView<br />        Dim CN As New SqlConnection()<br />        Try<br />            '初始化连接字符串<br />            CN.ConnectionString = "data source=pmserver;<br />            initial catalog=Northwind;persist security info=False;user id=sa;Password=sa;"<br />            CN.Open()<br />'从NorthWind得到orders表的数据<br />            Dim adp As SqlDataAdapter = New SqlDataAdapter("select * from orders", CN)<br />            Dim ds As New DataSet()<br />            adp.Fill(ds)<br />            '得到数据视图<br />            dv = ds.Tables(0).DefaultView<br />        Catch ex As Exception<br />#If DEBUG Then<br />            Session("Error") = ex.ToString()<br />            Response.Redirect("../error.aspx")        '跳转程序的公共错误处理页面<br />#End If<br />        Finally<br />            '关闭连接<br />            CN.Close()<br />        End Try<br />        '排序<br />        dv.Sort = strSort<br />        Return dv<br />    End Function</p>
<p>Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) <br />    Handles MyBase.Load<br />        If Not IsPostBack Then<br />            ViewState("strSort") = "orderid"<br />            dgOrder.DataSource = GetDv(ViewState("strSort").ToString())<br />            dgOrder.DataBind()<br />        End If<br />    End Sub<br />'排序<br />    Private Sub dgOrder_SortCommand(ByVal source As Object, <br />    ByVal e As System.Web.UI.WebControls.DataGridSortCommandEventArgs) Handles dgOrder.SortCommand<br />        dgOrder.CurrentPageIndex = 0<br />   '得到排序的列<br />        ViewState("strSort") = e.SortExpression.ToString()<br />        dgOrder.DataSource = GetDv(ViewState("strSort").ToString())<br />        dgOrder.DataBind()<br />    End Sub</p>
<p>'分页<br />    Private Sub dgOrder_PageIndexChanged(ByVal source As Object, <br />    ByVal e As System.Web.UI.WebControls.DataGridPageChangedEventArgs) Handles dgOrder.PageIndexChanged<br />   '得到分页的页号<br />        dgOrder.CurrentPageIndex = e.NewPageIndex<br />        dgOrder.DataSource = GetDv(ViewState("strSort").ToString())<br />        dgOrder.DataBind()<br />    End Sub</p>
<p>为了知道用户选择的是哪些记录，我们可以利用DataGridItem的FindControl得到CheckBox的值，我们来添加一个按钮，再写如下代码：<br />    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)<br /> Handles Button1.Click<br />        Dim item As DataGridItem<br />        Dim StrScript As String<br />        StrScript = "&lt;script language=javascript&gt;alert('"<br />   '循环表格的项，FindControl<br />        For Each item In Me.dgOrder.Items<br />            If CType(item.FindControl("cb"), System.Web.UI.WebControls.CheckBox).Checked Then<br />                Try<br />                    StrScript += item.Cells(1).Text &amp; Space(2)<br />                Catch ex As Exception<br />                End Try<br />            End If<br />        Next<br />        StrScript += "被选择！')&lt;/script&gt;"<br />        RegisterClientScriptBlock("系统消息", StrScript)<br />    End Sub</p>
<p>上面的代码RegisterClientScriptBlock添加Java Script脚本弹出对话框。（其实Vb Script的对话框比Java Script的对话框多更多的显示和控制方式，但Netscape的浏览器不支持，大家可根据相应的项目在程序里选择用哪种脚本）。</p>
<p>总结：<br />DataGrid是我们常用的Web 控件，有时我们还可以和DataList混合使用，通过修改HTML页，可以达到好的页面效果。上面只是一个例子，为了便于清楚整个过程，我把数据访问部分(SQL)写到了页面中。在软件开发中，我们一般把访问数据的部分写成数据层，页面调用数据层得到数据，这样逻辑清晰，修改和维护都很方便。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 17:31:57</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e9%80%89%e6%8b%a9/" title="选择">选择</a>, <a href="https://www.iamivan.net/tag/system/" title="system">system</a>, <a href="https://www.iamivan.net/tag/byval/" title="ByVal">ByVal</a>, <a href="https://www.iamivan.net/tag/%e6%8e%92%e5%ba%8f/" title="排序">排序</a>, <a href="https://www.iamivan.net/tag/datagrid/" title="datagrid">datagrid</a>, <a href="https://www.iamivan.net/tag/asp%e8%b7%b3%e8%bd%ac%e5%88%86%e9%a1%b5%e4%bb%a3%e7%a0%81/" title="asp跳转分页代码">asp跳转分页代码</a>, <a href="https://www.iamivan.net/tag/dataformatstring/" title="DataFormatString">DataFormatString</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>让Asp.NET的DataGrid可排序、可选择、可分页的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBx0Kp.html" rel="bookmark">Asp&period;NET的DataGrid排序，选择和分页</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|datagrid|分页|排序 DataGrid是Asp.NET中的一个重要的控件,经常我们都将DataGrid做成可分页的和可排序的,有时还需要加上选择功能.这些都是经常需要用到的方法,其实是比较简单的. 设计思路: 为了方便起见,我们连接SQL Server 2000的NorthWind数据库的Orders表,从数据库里得到此表的数据视图.利用DataGrid的SortCommand事件实现排序.用一个模板列加上CheckBox控件实现选择.可用DataGrid的属性生成器的&quot;			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPXDV0p.html" rel="bookmark">让Asp&period;NET的DataGrid可排序、可选择、可分页&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DataGrid是Asp.NET中的一个重要的控件,经常我们都将DataGrid做成可分页的和可排序的,有时还需要加上选择功能.这些都是经常需要用到的方法,其实是比较简单的.  设计思路:     为了方便起见,我们连接SQL Server 2000的NorthWind数据库的Orders表,从数据库里得到此表的数据视图.利用DataGrid的SortCommand事件实现排序.用一个模板列加上CheckBox控件实现选择.可用DataGrid的属性生成器的&quot;分页&quot;选项或者自己修改HT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p52wOnz.html" rel="bookmark">让Asp&period;NET的DataGrid可排序、可选择、可分页&lowbar;自学过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DataGrid是Asp.NET中的一个重要的控件,经常我们都将DataGrid做成可分页的和可排序的,有时还需要加上选择功能.这些都是经常需要用到的方法,其实是比较简单的. 设计思路: 为了方便起见,我们连接SQL Server 2000的NorthWind数据库的Orders表,从数据库里得到此表的数据视图.利用DataGrid的SortCommand事件实现排序.用一个模板列加上CheckBox控件实现选择.可用DataGrid的属性生成器的&quot;分页&quot;选项或者自己修改HTML实现分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zO6q5p.html" rel="bookmark">ASP&period;NET中实现DataGrid数据排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|datagrid|排序|数据 Visual Studio .Net为编写WinForm程序(即:在Windows平台下运行的程序)所提供的DataGrid组件比起微软以往的各种开发环境中提供的DataGrid组件都要&quot;高级&quot;许多.其&quot;高级&quot;的地方就在于不需要再进行任何其他设置或编程,DataGrid就能够对其中的数据分别按照升.降序进行排列.这种&quot;高级&quot;功能给我们编程提供了许多方便.图01是在WinForm程序中的DataGrid			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXVLvb.html" rel="bookmark">ASP&period;NET：DataGrid控件的分页功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|datagrid|datagrid控件|分页 DataGrid 控件是一个基于模板样式的.多功能的.多列的数据绑定控件.在三个数据绑定控件中,DataGrid是功能最为强大的,其次时DataList控件,然后是轻量级的数据绑定控件Repeater.要自定义 DataGrid 中各列的布局,您可以将列类型设置为&quot;模板&quot;,然后修改列的模板.DataGrid 控件也可以无需模板,只需按照默认的设置即可进行呈现,这使得该控件成了用于报告方案的理想控件.      我们可以把Da			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbaAqNb.html" rel="bookmark">ASP&period;NET组件DataGrid的分页实用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|datagrid|分页 查了网上资料,关于这个DataGrid分页实在是太多太多方法,有些解决方法过于Trick,有些则效率较低,这里提供一个不太麻烦,也效率尚可(通过Session缓存DataSet)的方法: 拖动DataGrid到WebForms,从DataGrid的属性栏中选择Columns打开DataGrid Properties自定义对话框,选择Paging分页,Allow paging, Page size: 20. private void Page_Load(ob			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEVW6M.html" rel="bookmark">ASP&period;net下DataGrid的单项选择控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|datagrid|控件 #region 声明//----------------------------------------------------------------------//// 作者: 李淼(Nick.Lee)//// ASP.net下DataGrid的单项选择控件 // 时间:2005-3-15 // boyorgril@msn.com// QQ:16503096//注意:引用请标明出处,谢谢//-------------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQkGEp.html" rel="bookmark">radiobutton-求助：Asp&period;net的DataGrid里面嵌套RadioButtonList，如何获得其值？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求助:Asp.net的DataGrid里面嵌套RadioButtonList,如何获得其值? 我在Asp.net的前台页面Source里面添加了一个DataGrid,代码如下: &lt;asp:DataGrid ID=&quot;DataArtList&quot; runat=&quot;server&quot; AllowPaging=&quot;True&quot; AutoGenerateColumns=&quot;False&quot; CssClass=&quot;MyLine&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY22YQp.html" rel="bookmark">Contoso学习（三）：排序、过滤及分页</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一个课程中,我们已经学习了如何使用 EF 对 Student 实体进行增.删.改.查处理.这次的课程我们将对学生的 Index 页面加入排序.过滤以及分页的功能.还要创建一个页面完成简单的分组. 下面的截图展示了完成之后的页面,列的标题作为链接支持用户通过点击完成排序,点击标题可以在升序和降序之间进行切换. 3-1  在 Students 的 Index 页面增加列标题链接 为 Index 页面增加排序的功能,我们需要修改 Student 控制器的 Index 方法,还需要为 Student			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvWn8p.html" rel="bookmark" class="title">在类中使用string类的问题。我定义的构造函数，想把字符串赋给string对象，却实现不了。</a>
					<div>
						问题描述 在类中使用string类的问题.我定义的构造函数,想把字符串赋给string对象,却实现不了. //12.2.ano.h #ifndef STRING2_H_ #define STRING2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYJLlp.html" rel="bookmark" class="title">eclipse下tanghan plugin连mssql实战</a>
					<div>
						最近一个项目要在eclipse下用tanghan plugin插件连mssql数据库,开始时怎么也连不上,下载了microsoft SQL Server 2000 Driver for JDBC后,有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPG21M.html" rel="bookmark" class="title">ASP值多少钱，还能值钱多久</a>
					<div>
						asp以其大牌身份,从面世以来得到了如潮般褒贬且简要分析asp的价值 首先asp来自ms,是ms为互动网络提供的一种解决方案,推出时被给予了 极大的希望,其实原因很简单,第一,它是微软做的,第二,很多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqvrep.html" rel="bookmark" class="title">ASP&period;NET中处理datetime的一些通用函数</a>
					<div>
						'Uses the Timespan method to subtract a certain number of daysFunction Date1()     Dim NewTime as Da ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLWrZM.html" rel="bookmark" class="title">论坛关键技术&comma;树状记录表的堆栈展开</a>
					<div>
						    由于工作原因,涉及到一个树状存放记录的表,要求程序中把树状表全部展开,并输出相应的数据內容.由于涉及到此种操作的地方很多,比如网络上的\\\&quot;论坛&quot;就是典型的采用树状存放记 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7rX5p.html" rel="bookmark" class="title">Oracle Provider for &period;NET扩展了ADO&period;NET（ZT）</a>
					<div>
						ado|oracle Oracle提供了许多工具帮你从.NET应用程序访问Oracle数据库.by Lee Thé George Demarest  大于三分之一的Visual Studio Maga ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnQxQz.html" rel="bookmark" class="title">WebSphere Application Server Web 2&period;0 功能部件包入门</a>
					<div>
						引言 WebSphere Application Server 的 Web 2.0 功能部件包(WebSphere Application Server Web 2.0 Feature Pack,下面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrvRkp.html" rel="bookmark" class="title">扩展方法&lpar;2&rpar; GridView单元格合并</a>
					<div>
						大家GridView都用的比较多吧..有没遇到单元格需要合并的需求.. 单元格合并原理其实很简单,就是逐行判断要合并的单元格里的值是否和上一行的相同,要是相同的 话就合并,不同的话就接着判断 我们可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wAe8p.html" rel="bookmark" class="title">Oracle 11g RAC安装时的错误提示：Failed to create or upgrade OLR</a>
					<div>
						对于Oracle 11g RAC 的安装,与Oracle 10g(clusterware)类似,grid 安装完毕后需要执行orainstroot.sh和root.sh,如果是AMD芯片,Oracle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElmknz.html" rel="bookmark" class="title">后期合成魔法火焰游戏MM美少女战士 PS合成教程</a>
					<div>
						效果图: 原片: 1.打开图片,进行抠图,随你怎么抠. 2.基本修调.就是修饰些不美观东西,损坏的衣服处,豆豆呀,等等. 接着顺便画上光影,(如果刚学的话,可以下载图1-图2) 然后放在PS里反复反复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ya7qz.html" rel="bookmark" class="title">怎么让win7电脑中的aero peek功能运行变快？</a>
					<div>
						怎么让win7电脑中的aero peek功能运行变快?   win7系统 1.同时按下win+r,然后在运行窗口中输入regedit并单击回车,这样就可以打开注册表编辑器窗口了. win7系统 2.在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7X8ZM.html" rel="bookmark" class="title">Win8&period;1系统网络名称怎么修改</a>
					<div>
						  Win8.1系统网络名称怎么修改 1.按下win+r键打开运行,输入&quot;regedit&quot;按回车确认. 2.打开注册表编辑器后,依次定位到以下两个位置: HKEY_LOCAL_MA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2XVdM.html" rel="bookmark" class="title">IE无法打开新窗口</a>
					<div>
						  在IE浏览网页的时候,时常会遇到单击超级连接没有反应的情况.这种故障一般是由于IE新建窗口模块被破坏导致的. 解决这种情况,单击&quot;开始&quot;→&quot;运行&quot;,然后运行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwvgqz.html" rel="bookmark" class="title">Word2010文档中的书签怎么用</a>
					<div>
						第1步,打开添加了书签的Word2010文档窗口,切换到&quot;插入&quot;功能区.在&quot;链接&quot;分组中单击&quot;书签&quot;按钮,如图1所示. 电脑教程 图1 单击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2AEVp.html" rel="bookmark" class="title">word2013尾注横线删除图文</a>
					<div>
						  一.单击进入你的word文档,选择菜单栏的&quot;视图--草稿&quot;切换到草稿视图; 二.随后切换到菜单栏的&quot;引用&quot;卡,选择脚注选项的&quot;显示备注&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7aKDb.html" rel="bookmark" class="title">使用TP-LINK路由器控制上网时间</a>
					<div>
						具体设置步骤: 在浏览器地址栏中输入192.168.1.1回车,打开路由器登录对话框,在相应的用户名.密码框中输入相应数据,如:admin等; 在打开的路由器管理页面中点击左面选项中的&quot;网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oAxAb.html" rel="bookmark" class="title">新浪微博智能排序中是否强加了未关注人的微博&quest;</a>
					<div>
						不会.智能排序中的微博全部是你关注人发布的微博,与你在时间排序下看到的微博数量和内容是完全一样的. 智能排序不会在未经您同意的情况下强行加入您未关注人发布的微博.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EZkKM.html" rel="bookmark" class="title">智能语音交互：阿里的研究和实践</a>
					<div>
						云栖TechDay40期,iDST智能语音交互团队总监智捷带来智能语音交互的演讲.本文主要讲解了语音识别的核心组件,语音识别准确率以及影响准确率因素,还分享了iDST智能语音交互以及阿里云的对外输出. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGovwp.html" rel="bookmark" class="title">IE8中ajax 跨域获取html模板解决方法</a>
					<div>
						报错: statusText :&quot;No Transport&quot;   1,只有当浏览器是IE8 时才引入js: Html代码   &lt;!--[if IE 8]&gt;        ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw27Kp.html" rel="bookmark" class="title">vegaspro13&period;0-VegasPro13&period;0汉化包安装</a>
					<div>
						问题描述 VegasPro13.0汉化包安装 VegasPro13.0汉化包安装,怎么出现没有需要汉化的文件,是怎么回事? 解决方案 edx安装汉化包					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa77kM.html" rel="bookmark" class="title">c&plus;&plus; mfc-MFC中如何判断编辑框中输入的数值是double类型的</a>
					<div>
						问题描述 MFC中如何判断编辑框中输入的数值是double类型的 MFC中如何判断编辑框中输入的数值是double类型的,用了typeid,if(typeid(m_test) == typeid(do ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGkGAp.html" rel="bookmark" class="title">华宏科技&colon;募投项目助推企业快速成长</a>
					<div>
						随着工业化进程的加快,我国长期形成的以消耗不可再生的铁矿石.煤炭等自然资源为特征的粗放式经济增长方式,使得我国各种自然资源的储量越来越少,越来越多地依赖进口,由此引发的环境污染和生态破坏问题也越来越严 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN727xp.html" rel="bookmark" class="title">debian 开机启动图片-debian开机显示一张图片，屏蔽掉原有的信息。</a>
					<div>
						问题描述 debian开机显示一张图片,屏蔽掉原有的信息. 我现在用的debian7.2安装了一个基础系统,在启动的时候显示一堆字符,我想把它们屏蔽掉,然后显示一张公司的logo,具体要怎么做? 就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZVW4b.html" rel="bookmark" class="title">asp&period;net图片批量上传求助</a>
					<div>
						问题描述 asp.net图片批量上传求助 选中文件后,图片先显示在页面,是否先将图片保存在虚拟目录,点击提交的时候上传到服务器回应的目录里没有就创建一个?求助大侠 解决方案 参考http://www. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Rx8rb.html" rel="bookmark" class="title">Java之JMX 详解</a>
					<div>
						一.JMX简介 JMX是一种JAVA的正式规范,它主要目的是让程序有被管理的功能,那么怎么理解所谓的&quot;被管理&quot;呢?试想你开发了一个软件(如WEB网站),它是在24小时不间断运行的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRNq2p.html" rel="bookmark" class="title">为纸媒搭建数字发行平台</a>
					<div>
						&quot;在互联网开放的今天,我已经看到一场影响市场的变局.&quot;在过去一年里,&quot;为纸媒搭建数字发行平台&quot;是韩颖挂在嘴边的口号. VIVA创始人韩颖 2011年注定要成为V ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd8P8b.html" rel="bookmark" class="title">社会化分享</a>
					<div>
						实现微信(好友.朋友圈).QQ(好友.空间).新浪微博等社会化分享方式. 前言 现在的app几乎里面都包括社会化分享和第三方登录这两个功能,前段时间给大家分享了关于几种(第三方登录)的实现,今天再给大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjGZ4M.html" rel="bookmark" class="title">jquery实现的超出屏幕时把固定层变为定位层的代码&lowbar;jquery</a>
					<div>
						非常好的一个用户体验实例.如果不明白的话就看下面的图片吧 淘宝产品列表 http://search1.taobao.com/browse/50010388/- 腾讯财经产业经济 http://fina ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba72Anp.html" rel="bookmark" class="title">我的Android进阶之旅------&amp;amp&semi;gt&semi;Android自定义View实现带数字的进度条（NumberProgressBar）</a>
					<div>
						今天在Github上面看到一个来自于 daimajia所写的关于Android自定义View实现带数字的进度条(NumberProgressBar)的精彩案例,在这里分享给大家一起来学习学习!同时感谢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXZX4z.html" rel="bookmark" class="title">Atmel拓展SmartConnect无线产品组合 推出面向物联网应用的云就绪Wi-Fi&sol;蓝牙组合平台</a>
					<div>
						全球微控制器(MCU)及触控解决方案领域的领导者Atmel近日宣布,公司已拓展其业内领先的SmartConnect无线产品组合,面向快速增长的物联网(IoT)市场,新增一款无线组合片上系统(SoC). ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
